package com.dcsoft.system.face.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 评分核验记录对象 face_record
 *
 * @author 倪春
 * @date 2023-04-21
 */
public class FaceRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录Id */
    private Long id;

    /** 学工号 */
    @Excel(name = "学工号")
    private String stuId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 证件照 */
    @Excel(name = "证件照")
    private String imgs;

    /** 采集照 */
    @Excel(name = "采集照")
    private String gatherImgs;

    /** 相似度 */
    @Excel(name = "相似度")
    private Long score;

    /** 入库模式 */
    @Excel(name = "入库模式")
    private String storage;

    /** 采集方式 */
    @Excel(name = "采集方式")
    private String gatherWay;

    /** 比对结果 */
    @Excel(name = "比对结果")
    private String result;

    /** 原因 */
    @Excel(name = "原因")
    private String reason;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStuId(String stuId)
    {
        this.stuId = stuId;
    }

    public String getStuId()
    {
        return stuId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setImgs(String imgs)
    {
        this.imgs = imgs;
    }

    public String getImgs()
    {
        return imgs;
    }
    public void setGatherImgs(String gatherImgs)
    {
        this.gatherImgs = gatherImgs;
    }

    public String getGatherImgs()
    {
        return gatherImgs;
    }
    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }
    public void setStorage(String storage)
    {
        this.storage = storage;
    }

    public String getStorage()
    {
        return storage;
    }
    public void setGatherWay(String gatherWay)
    {
        this.gatherWay = gatherWay;
    }

    public String getGatherWay()
    {
        return gatherWay;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }
    public void setReason(String reason)
    {
        this.reason = reason;
    }

    public String getReason()
    {
        return reason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuId", getStuId())
            .append("name", getName())
            .append("imgs", getImgs())
            .append("gatherImgs", getGatherImgs())
            .append("score", getScore())
            .append("storage", getStorage())
            .append("gatherWay", getGatherWay())
            .append("result", getResult())
            .append("reason", getReason())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
